### A free/open-source library for quantitative finance

Public Types | Public Member Functions | Protected Member Functions
MCDiscreteArithmeticAPEngine< RNG, S > Class Template Reference
Asian option engines

Monte Carlo pricing engine for discrete arithmetic average price Asian. More...

`#include <ql/pricingengines/asian/mc_discr_arith_av_price.hpp>`

Inheritance diagram for MCDiscreteArithmeticAPEngine< RNG, S >:
[legend]

List of all members.

## Public Types

typedef MCDiscreteAveragingAsianEngine < RNG, S > ::path_generator_type | path_generator_type
typedef MCDiscreteAveragingAsianEngine < RNG, S >::path_pricer_type | path_pricer_type
typedef MCDiscreteAveragingAsianEngine < RNG, S >::stats_type | stats_type

## Public Member Functions

| MCDiscreteArithmeticAPEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process, bool brownianBridge, bool antitheticVariate, bool controlVariate, Size requiredSamples, Real requiredTolerance, Size maxSamples, BigNatural seed)

## Protected Member Functions

boost::shared_ptr < path_pricer_type > | pathPricer () const
boost::shared_ptr < path_pricer_type > | controlPathPricer () const
boost::shared_ptr< PricingEngine > | controlPricingEngine () const

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MCDiscreteArithmeticAPEngine< RNG, S >

Monte Carlo pricing engine for discrete arithmetic average price Asian.

Monte Carlo pricing engine for discrete arithmetic average price Asian options. It can use MCDiscreteGeometricAPEngine (Monte Carlo discrete arithmetic average price engine) and AnalyticDiscreteGeometricAveragePriceAsianEngine (analytic discrete arithmetic average price engine) for control variation.

Tests:
  the correctness of the returned value is tested by reproducing results available in literature.